class_name ETT_NodePath extends EffectTargetType

@export var target_node_path: NodePath

func get_effect_target(owner: Node, prop_comp: Node) -> Object:
	return owner.get_node_or_null(target_node_path)
